Bug 827776 - 32-bit wine on 64-bit OS requires 32-bit Mesa DRI drivers
32-bit wine on 64-bit OS requires 32-bit Mesa DRI drivers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
: 827777 828195 855673 892175 989515 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 21:34 EDT by Romain DEP.
Modified: 2013-09-06 11:02 EDT (History)
10 users (show)

See Also:
Fixed In Version: wine-1.7.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:29:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Romain DEP. 2012-06-02 21:34:43 EDT
Description of problem:

(I'm running wine.i686 on top of a f17 x86_64 system.)

After having installed a fresh f17 I noticed that some games that previously worked well under wine on f16 were having issues :

err:winediag:X11DRV_WineGL_InitOpenglInfo Direct rendering is disabled, most likely your OpenGL drivers haven't been installed correctly (using GL renderer "Mesa DRI Mobile Intel\xc2\xae GM45 Express Chipset ", version "1.4 (2.1 Mesa 8.0.3)").

even if my system DOES direct rendering...

So I looked at this : http://www.winehq.org/pipermail/wine-users/2010-February/067958.html it's like wine requires 32b versions of the mesa drivers. So I installed mesa-dri-drivers.i686 and hopefully tried a "export LIBGL_DRIVERS_PATH=/usr/lib/dri/" and... ourrah, my game was working. I'm not sure about if the path override is really needed, but shouldn't wine.i686 come with the mesa-dri-drivers.i686 package for 3D-things to work ?

Just asking, thanks !

Romain.
Comment 1 Romain DEP. 2012-06-02 21:46:10 EDT
*** Bug 827777 has been marked as a duplicate of this bug. ***
Comment 2 Andreas Bierfert 2012-06-03 11:52:22 EDT
Does it work for you without exporting LIBGL_DRIVERS_PATH?
Comment 3 Romain DEP. 2012-06-03 13:45:42 EDT
It does work without "export LIBGL_DRIVERS_PATH=blah" as soon as 32b mesa drivers are here
Comment 4 Andreas Bierfert 2012-06-04 10:12:04 EDT
*** Bug 828195 has been marked as a duplicate of this bug. ***
Comment 5 Andreas Bierfert 2012-06-04 10:15:07 EDT
This is actually not arch specific. We just require libGL in wine-core through build deps. The question is: Do we want to pull in dri for everyone even if the mesa-dri package does not support the specific hardware.
Comment 6 Carlos O'Donell 2012-12-14 14:17:25 EST
+1

Ran into this yesterday.

This was an annoying issue because the error message is confusing, but does evetually lead one to the correct solution i.e. install the 32-bit mesa-dri package.
Comment 7 Fedora End Of Life 2013-07-04 01:37:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Michael Cronenworth 2013-07-29 09:12:23 EDT
*** Bug 892175 has been marked as a duplicate of this bug. ***
Comment 9 Michael Cronenworth 2013-07-29 09:12:44 EDT
*** Bug 989515 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Update System 2013-09-01 15:48:54 EDT
wine-1.7.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wine-1.7.1-2.fc19
Comment 11 Fedora Update System 2013-09-02 19:32:22 EDT
Package wine-1.7.1-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-1.7.1-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15685/wine-1.7.1-2.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-04 21:29:50 EDT
wine-1.7.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Andreas Bierfert 2013-09-06 11:02:19 EDT
*** Bug 855673 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.